Planned intervention: On Wednesday June 26th 05:30 UTC Zenodo will be unavailable for 10-20 minutes to perform a storage cluster upgrade.
Published April 16, 2024 | Version v6.0
Software Open

bashtage/linearmodels: Release 6.0

Description

  • Increased minimums:
    • Python: 3.9
    • formulaic: 1.0.0
    • NumPy: 1.22.3
    • SciPy: 1.8.0
    • pandas: 1.4.0
    • statsmodels: 0.13.0
  • The key feature of this release is compatibility with NumPy 2. linearmodels wheels are built using NumPy 2.0.0rc1 (or later) and can run on any version of NumPy 1.22.3 or later, including NumPy 2.0.0.
  • Improved compatibility with fuutre changes in pandas 3.0.0.

[!NOTE] In order to use NumPy 2, the environment must consist of packages that have been built against NumPy 2.0.0rc1 or later.

Files

bashtage/linearmodels-v6.0.zip

Files (1.8 MB)

Name Size Download all
md5:5a53c36b7684efea2ebd40c2dda42226
1.8 MB Preview Download

Additional details

Related works